ros-jazzy-lifecycle (0.33.9-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 08 Jan 2026 23:00:00 -0000

ros-jazzy-lifecycle (0.33.8-1noble) noble; urgency=high

  * r-simonelli/demos-lifecycle (#750 <https://github.com/ros2/demos/issues/750>) (#752 <https://github.com/ros2/demos/issues/752>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Nov 2025 23:00:00 -0000

ros-jazzy-lifecycle (0.33.7-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 16 Sep 2025 22:00:00 -0000

ros-jazzy-lifecycle (0.33.6-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 05 Aug 2025 22:00:00 -0000

ros-jazzy-lifecycle (0.33.5-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 05 Sep 2024 22:00:00 -0000

ros-jazzy-lifecycle (0.33.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 26 Jun 2024 22:00:00 -0000

ros-jazzy-lifecycle (0.33.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 12 May 2024 22:00:00 -0000

ros-jazzy-lifecycle (0.33.2-1noble) noble; urgency=high

  * A few uncrustify fixes for 0.78. (#667 <https://github.com/ros2/demos/issues/667>)
  * Update maintainer list in package.xml files (#665 <https://github.com/ros2/demos/issues/665>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Mar 2024 23:00:00 -0000

ros-jazzy-lifecycle (0.33.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-jazzy-lifecycle (0.33.0-1noble) noble; urgency=high

  * Migrate std::bind calls to lambda expressions (#659 <https://github.com/ros2/demos/issues/659>)
  * Contributors: Felipe Gomes de Melo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-jazzy-lifecycle (0.32.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-jazzy-lifecycle (0.32.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-jazzy-lifecycle (0.31.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Sep 2023 22:00:00 -0000

ros-jazzy-lifecycle (0.31.0-1noble) noble; urgency=high

  * Switch to using RCLCPP logging macros in the lifecycle package. (#644 <https://github.com/ros2/demos/issues/644>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-jazzy-lifecycle (0.30.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-jazzy-lifecycle (0.30.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 11 Jun 2023 22:00:00 -0000

ros-jazzy-lifecycle (0.29.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Jun 2023 22:00:00 -0000

ros-jazzy-lifecycle (0.28.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 10 May 2023 22:00:00 -0000

ros-jazzy-lifecycle (0.28.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-jazzy-lifecycle (0.27.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Apr 2023 22:00:00 -0000

ros-jazzy-lifecycle (0.26.0-1noble) noble; urgency=high

  * update launch file name format to match documentation (#588 <https://github.com/ros2/demos/issues/588>)
  * Contributors: Patrick Wspanialy

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-jazzy-lifecycle (0.25.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 Feb 2023 23:00:00 -0000

ros-jazzy-lifecycle (0.24.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Feb 2023 23:00:00 -0000

ros-jazzy-lifecycle (0.24.0-1noble) noble; urgency=high

  * Update the demos to C++17. (#594 <https://github.com/ros2/demos/issues/594>)
  * [rolling] Update maintainers - 2022-11-07 (#589 <https://github.com/ros2/demos/issues/589>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-jazzy-lifecycle (0.23.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-jazzy-lifecycle (0.22.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-jazzy-lifecycle (0.21.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-jazzy-lifecycle (0.20.1-1noble) noble; urgency=high

  * Make lifecycle demo automatically exit when done (#558 <https://github.com/ros2/demos/issues/558>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-jazzy-lifecycle (0.20.0-1noble) noble; urgency=high

  * Use default on_activate()/on_deactivate() implemenetation of Node (#552 <https://github.com/ros2/demos/issues/552>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-jazzy-lifecycle (0.19.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-jazzy-lifecycle (0.18.0-1noble) noble; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Contributors: Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 16 Dec 2021 23:00:00 -0000

ros-jazzy-lifecycle (0.17.0-1noble) noble; urgency=high

  * Fix use of future in lifecycle demo (#534 <https://github.com/ros2/demos/issues/534>)
  * Fixing deprecated subscriber callback warnings (#532 <https://github.com/ros2/demos/issues/532>)
  * Contributors: Abrar Rahman Protyasha, Christophe Bedard

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 17 Oct 2021 22:00:00 -0000

ros-jazzy-lifecycle (0.16.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Aug 2021 22:00:00 -0000

ros-jazzy-lifecycle (0.15.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 May 2021 22:00:00 -0000

ros-jazzy-lifecycle (0.14.2-1noble) noble; urgency=high

  * Cleanup the README.rst for the lifecycle demo. (#508 <https://github.com/ros2/demos/issues/508>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 25 Apr 2021 22:00:00 -0000

ros-jazzy-lifecycle (0.14.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 18 Apr 2021 22:00:00 -0000

ros-jazzy-lifecycle (0.14.0-1noble) noble; urgency=high

  * change ParameterEventHandler to take events as const ref instead of shared pointer (#494 <https://github.com/ros2/demos/issues/494>)
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-jazzy-lifecycle (0.13.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 24 Mar 2021 23:00:00 -0000

ros-jazzy-lifecycle (0.12.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-jazzy-lifecycle (0.12.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-jazzy-lifecycle (0.11.0-1noble) noble; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 09 Dec 2020 23:00:00 -0000

ros-jazzy-lifecycle (0.10.1-1noble) noble; urgency=high

  * Add missing required parameter in LifecycleNode launch action (#456 <https://github.com/ros2/demos/issues/456>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Sep 2020 22:00:00 -0000

ros-jazzy-lifecycle (0.10.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 16 Jun 2020 22:00:00 -0000

ros-jazzy-lifecycle (0.9.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 31 May 2020 22:00:00 -0000

ros-jazzy-lifecycle (0.9.2-1noble) noble; urgency=high

  * Fix typo (#445 <https://github.com/ros2/demos/issues/445>)
  * Replace ``ros2 msg`` command in lifecycle README (#446 <https://github.com/ros2/demos/issues/446>)
  * Contributors: Audrow Nash, Shota Aoki

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-jazzy-lifecycle (0.9.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 11 May 2020 22:00:00 -0000

ros-jazzy-lifecycle (0.9.0-1noble) noble; urgency=high

  * Replace deprecated launch_ros usage (#437 <https://github.com/ros2/demos/issues/437>)
  * Update launch_ros action usage (#431 <https://github.com/ros2/demos/issues/431>)
  * code style only: wrap after open parenthesis if not in one line (#429 <https://github.com/ros2/demos/issues/429>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 Apr 2020 22:00:00 -0000

ros-jazzy-lifecycle (0.8.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Nov 2019 23:00:00 -0000

ros-jazzy-lifecycle (0.8.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 10 Nov 2019 23:00:00 -0000

ros-jazzy-lifecycle (0.8.2-1noble) noble; urgency=high

  * Remove unnecessary dependency on ros2run (#413 <https://github.com/ros2/demos/issues/413>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Nov 2019 23:00:00 -0000

ros-jazzy-lifecycle (0.8.1-1noble) noble; urgency=high

  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * Contributors: Peter Baughman

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-jazzy-lifecycle (0.8.0-1noble) noble; urgency=high

  * Fix lifecycle_service_client namespace (#369 <https://github.com/ros2/demos/issues/369>)
  * Contributors: Cameron Evans

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 25 Sep 2019 22:00:00 -0000

ros-jazzy-lifecycle (0.7.6-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 May 2019 22:00:00 -0000

ros-jazzy-lifecycle (0.7.5-1noble) noble; urgency=high

  * Update asciinema recordings (#360 <https://github.com/ros2/demos/issues/360>)
  * Use rate instead of thread::sleep to react to Ctrl-C (#348 <https://github.com/ros2/demos/issues/348>)
  * Contributors: Dirk Thomas, Karsten Knese

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 May 2019 22:00:00 -0000

ros-jazzy-lifecycle (0.7.4-1noble) noble; urgency=high

  * Add lifecycle rostest (#336 <https://github.com/ros2/demos/issues/336>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-jazzy-lifecycle (0.7.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 09 May 2019 22:00:00 -0000

ros-jazzy-lifecycle (0.7.2-1noble) noble; urgency=high

  * changes to avoid deprecated API's (#332 <https://github.com/ros2/demos/issues/332>)
  * Corrected publish calls with shared_ptr signature (#327 <https://github.com/ros2/demos/issues/327>)
  * Contributors: William Woodall, ivanpauno

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 07 May 2019 22:00:00 -0000

ros-jazzy-lifecycle (0.7.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 25 Apr 2019 22:00:00 -0000

ros-jazzy-lifecycle (0.7.0-1noble) noble; urgency=high

  * Updated for NodeOptions Node constructor. (#308 <https://github.com/ros2/demos/issues/308>)
  * Contributors: Michael Carroll

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sat, 13 Apr 2019 22:00:00 -0000

ros-jazzy-lifecycle (0.6.2-1noble) noble; urgency=high

  * Added readme.rst (#300 <https://github.com/ros2/demos/issues/300>)
  * Contributors: Karsten Knese

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 14 Jan 2019 23:00:00 -0000

ros-jazzy-lifecycle (0.6.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Dec 2018 23:00:00 -0000

ros-jazzy-lifecycle (0.6.0-1noble) noble; urgency=high

  * Cleaned up lifecycle demo (#283 <https://github.com/ros2/demos/issues/283>)
  * Updated for refactoring in rclcpp (#276 <https://github.com/ros2/demos/issues/276>)
  * Added semicolons to all RCLCPP and RCUTILS macros. (#278 <https://github.com/ros2/demos/issues/278>)
  * Fixed typo in comment (#270 <https://github.com/ros2/demos/issues/270>)
  * Contributors: Chris Lalancette, Karsten Knese, Yutaka Kondo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 06 Dec 2018 23:00:00 -0000

ros-jazzy-lifecycle (0.5.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Jun 2018 22:00:00 -0000

ros-jazzy-lifecycle (0.5.0-1noble) noble; urgency=high

  * Converted launch files to the new launch style. (#262 <https://github.com/ros2/demos/issues/262>)
  * Updated to support remapping arguments to python nodes by passing unused arguments to rclpy from argparse. (#252 <https://github.com/ros2/demos/issues/252>)
  * Updated to handle change in signature to ``get_service_name``. (#245 <https://github.com/ros2/demos/issues/245>)
  * Updated launch files to account for the "old launch" getting renamespaced as ``launch`` -> ``launch.legacy``. (#239 <https://github.com/ros2/demos/issues/239>)
  * Updated service client demos to handle multiple requests. (#228 <https://github.com/ros2/demos/issues/228>)
  * Contributors: Geoffrey Biggs, Kevin Allen, Shane Loretz, William Woodall, dhood

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Jun 2018 22:00:00 -0000


